/* ============================================================
 * Author: M. Asselstine <asselsm@gmail.com>
 * Date  : 05-08-2005
 * Description : main
 *
 * Copyright 2005,2007-2008 by M. Asselstine
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>

#include "mainwindow.h"

int main (int argc, char *argv[])
{
  KAboutData aboutData("kflickr",
		       0,
		       ki18n("kflickr"),
		       "20100817",
		       ki18n("A Flickr uploader for KDE"),
		       KAboutData::License_GPL,
		       ki18n("(c) 2005-2010 M. Asselstine"),
		       ki18n(""),
		       "http://kflickr.sf.net",
		       "asselsm@gmail.com");
 
  KCmdLineArgs::init( argc, argv, &aboutData );

  KApplication app;

  MainWindow* window = new MainWindow();
  window->show();

  return app.exec();
}
